<template>
  <!-- 删除客户资料-->
  <a-modal class="commonModal recover-custom" title="删除客户资料" v-model:visible="visible" @cancel="cancel" centered width="890px">
    <template #footer>
      <a-button key="submit" type="primary" :loading="loading" :disabled="loading" @click="submit">删除客户资料 </a-button>
    </template>
    <Detail :selectedRow="selectedRow" />
  </a-modal>
</template>

<script lang="ts">
import { requestResultLoadingAndInfo } from '@/common/methods/request/resultInfo';
import { _closeModal } from '@/common/setup/modal/modal';
import { QueryDeleteUserInfoApply } from '@/services/go/ermcp/customInfo';
import { DeleteUserReq, QueryCustomInfoType } from '@/services/go/ermcp/customInfo/interface';
import { Modal } from 'ant-design-vue';
import { defineComponent, PropType, ref } from 'vue';
import Detail from '../common-detail/index.vue';

export default defineComponent({
    name: 'delete-custom',
    emits: ['cancel', 'update'],
    components: { Detail },
    props: {
        selectedRow: {
            type: Object as PropType<QueryCustomInfoType>,
            default: {},
        },
    },
    setup(props, context) {
        const { visible, cancel } = _closeModal(context);
        const loading = ref<boolean>(false);
        console.log('是否确认删除客户资料');
        function submit() {
            Modal.confirm({
                title: '是否确认删除客户资料',
                okText: '确认删除',
                cancelText: '取消',
                onOk() {
                    let reqParams: DeleteUserReq = {
                        userID: props.selectedRow.userid,
                    };
                    requestResultLoadingAndInfo(QueryDeleteUserInfoApply, reqParams, loading, ['删除成功', '删除失败:']).then(() => {
                        cancel(true);
                    });
                },
                onCancel() {},
            });
        }

        return {
            visible,
            cancel,
            submit,
            loading,
        };
    },
});
</script>